找回密码
 立即注册

QQ登录

只需一步,快速开始

扫一扫,访问微社区

查看: 31621|回复: 218

[每日一码] Entmake

 火... [复制链接]

已领礼包: 604个

财富等级: 财运亨通

发表于 2014-4-10 23:01:42 | 显示全部楼层 |阅读模式

马上注册,结交更多好友,享用更多功能,让你轻松玩转社区。

您需要 登录 才可以下载或查看,没有账号?立即注册

×
本帖最后由 /db_自贡黄明儒_ 于 2014-12-31 08:49 编辑

;;此来自于http://bbs.mjtd.com/thread-92482-1-1.html by langjs。
;;我整理后贴于此,便于以后自己查阅,你可以提意见,欢迎。能增添的,我先表示感谢。
;;来喷的,请绕道。XDsoft老大如果不满,说明我做得确实不对,请删除,我没意见,
;;老大要留情哟{:soso_e106:} )[功能] 插入块(entmake法 属性或者非属性块)http://bbs.xdcad.net/thread-678244-1-1.html

  1. ;;167.1 [功能] Entmake直线
  2. (defun EntmakeLine (p1 p2)
  3.   (entmakeX (list '(0 . "LINE") (cons 10 p1) (cons 11 p2)))
  4. )
  5. ;;167.2 [功能] Entmake两顶点多段线(多顶点类似)
  6. (defun entmakeLWPOLYLINE (pt1 pt2)
  7.   (entmakeX
  8.     (list '(0 . "LWPOLYLINE")
  9.    '(100 . "AcDbEntity")
  10.    '(100 . "AcDbPolyline")
  11.    (cons 90 2)
  12.    (cons 10 pt1)
  13.    (cons 10 pt2)
  14.     )
  15.   )
  16. )
  17. ;;167.3 [功能] Entmake点表生成多段线
  18. (defun Make-LWPOLYLINE (lst / PT)
  19.   (entmakeX
  20.     (append
  21.       (list '(0 . "LWPOLYLINE")
  22.      '(100 . "AcDbEntity")
  23.      '(100 . "AcDbPolyline")
  24.      (cons 90 (length lst))
  25.       )
  26.       (mapcar '(lambda (pt) (cons 10 pt)) lst)
  27.     )
  28.   )
  29. )
  30. ;;167.4 [功能] Entmake圆
  31. (defun EntmakeCIRCLE (cen r)
  32.   (entmakeX (list '(0 . "CIRCLE") (cons 10 cen) (cons 40 r)))
  33. )
  34. ;;167.5 [功能] Entmake圆弧
  35. (defun EntmakeArc (pt r ang1 ang2)
  36.   (entmakeX
  37.     (list '(0 . "ARC")
  38.    (cons 10 pt)
  39.    (cons 40 r)
  40.    (cons 50 ang1)
  41.    (cons 51 ang2)
  42.     )
  43.   )
  44. )
  45. ;;167.6 [功能] Entmake单行文本
  46. (defun Make-TEXT (str pt)
  47.   (entmakeX
  48.     (list '(0 . "TEXT") (cons 1 str) (cons 10 pt) (cons 40 5))
  49.   )
  50. )
  51. ;;167.7 [功能] Entmake居中单行文字
  52. (defun EntmakeText (PT STR Textheigh)
  53.   (entmakeX
  54.     (list '(0 . "TEXT")
  55.    (cons 1 str)
  56.    (cons 10 pt)
  57.    (cons 40 Textheigh)
  58.    (cons 11 pt)
  59.    (cons 72 1)
  60.    (cons 73 2)
  61.     )
  62.   )
  63. )
  64. ;;167.8 [功能] Entmake多行文本
  65. (defun EntmakeMtext (str pt)
  66.   (entmakeX
  67.     (list '(0 . "MTEXT")
  68.    '(100 . "AcDbEntity")
  69.    '(100 . "AcDbMText")
  70.    ;;'(7 . "Standard")
  71.    (cons 1 str)
  72.    (cons 10 pt)
  73.     )
  74.   )
  75. )
  76. ;;167.9 [功能] Entmake半径标注
  77. ;;(EntmakeRadial (getpoint) (getpoint))
  78. (defun EntmakeRadial (cen p2)
  79.   (entmakeX
  80.     (list '(0 . "DIMENSION")
  81.    '(100 . "AcDbEntity")
  82.    '(100 . "AcDbDimension")
  83.    (cons 10 cen)
  84.    '(70 . 36)
  85.    '(100 . "AcDbRadialDimension")
  86.    (cons 15 p2)
  87.     )
  88.   )
  89. )
  90. ;;[功能] Entmake直径标注 by自贡黄明儒整理
  91. ;;p1 p2圆上点,txtpt文字放置点
  92. ;;(setq eD (EntmakeDiametric (getpoint)(getpoint)(getpoint)))
  93. (defun EntmakeDiametric        (p1 p2 txtpt)
  94.   (entmakeX
  95.     (list '(0 . "DIMENSION")
  96.           '(100 . "AcDbEntity")
  97.           '(100 . "AcDbDimension")
  98.           (cons 10 p1)
  99.           (cons 11 txtpt)
  100.           '(70 . 163)
  101.           '(100 . "AcDbDiametricDimension")
  102.           (cons 15 p2)
  103.     )
  104.   )
  105. )

  106. ;;[功能] Entmake水平标注 by自贡黄明儒整理
  107. ;;p1 p2点,txtpt文字放置点
  108. ;;(setq eD (EntmakeDimensionH (getpoint)(getpoint)(getpoint)))
  109. (defun EntmakeDimensionH (p1 p2 txtpt)
  110.   (entmakeX
  111.     (list '(0 . "DIMENSION")
  112.           '(100 . "AcDbEntity")
  113.           '(100 . "AcDbDimension")
  114.           (cons 10 txtpt)
  115.           '(70 . 32)
  116.           '(1 . "")
  117.           '(100 . "AcDbAlignedDimension")
  118.           (cons 13 p1)
  119.           (cons 14 p2)
  120.           '(100 . "AcDbRotatedDimension")
  121.     )
  122.   )
  123. )

  124. ;;[功能] Entmake垂直标注 by自贡黄明儒整理
  125. ;;p1 p2点,txtpt文字放置点
  126. ;;(setq eD (EntmakeDimensionV (getpoint)(getpoint)(getpoint)))
  127. (defun EntmakeDimensionV (p1 p2 txtpt)
  128.   (entmakeX
  129.     (list '(0 . "DIMENSION")
  130.           '(100 . "AcDbEntity")
  131.           '(100 . "AcDbDimension")
  132.           (cons 10 txtpt)
  133.           '(70 . 32)
  134.           '(1 . "")
  135.           '(100 . "AcDbAlignedDimension")
  136.           (cons 13 p1)
  137.           (cons 14 p2)
  138.           '(50 . 1.5708)
  139.           '(100 . "AcDbRotatedDimension")
  140.     )
  141.   )
  142. )

  143. ;;[功能] Entmake倾斜标注 by自贡黄明儒整理
  144. ;;p1 p2点,txtpt文字放置点
  145. (defun EntmakeAlignedDim (p1 p2 txtpt)
  146.   (entmakeX
  147.     (list '(0 . "DIMENSION")
  148.           '(100 . "AcDbEntity")
  149.           '(100 . "AcDbDimension")
  150.           (cons 10 txtpt)
  151.           '(70 . 33)
  152.           '(1 . "")
  153.           '(100 . "AcDbAlignedDimension")
  154.           (cons 13 p1)
  155.           (cons 14 p2)
  156.     )
  157.   )
  158. )
游客,如果您要查看本帖隐藏内容请回复


;;符号表的必要条件
  (EntMakeX '((0 . "LAYER")
              (100 . "AcDbSymbolTableRecord")
              (100 . "AcDbLayerTableRecord")
              (2 . "MyLAYER")
              (70 . 0)
             )
  )
  (EntMakeX '((0 . "LTYPE")
              (100 . "AcDbSymbolTableRecord")
              (100 . "AcDbLinetypeTableRecord")
              (2 . "MyLTYPE")
              (70 . 0)
             )
  )
  (EntMakeX '((0 . "VIEW")
              (100 . "AcDbSymbolTableRecord")
              (100 . "AcDbViewTableRecord")
              (2 . "MyVIEW")
              (70 . 0)
             )
  )
  (EntMakeX '((0 . "STYLE")
              (100 . "AcDbSymbolTableRecord")
              (100 . "AcDbTextStyleTableRecord")
              (2 . "MySTYLE")
              (70 . 0)
             )
  )
  (EntMakeX '((0 . "APPID")
              (100 . "AcDbSymbolTableRecord")
              (100 . "AcDbRegAppTableRecord")
              (2 . "MyAPPID")
              (70 . 0)
             )
  )
  (EntMakeX '((0 . "UCS")
              (100 . "AcDbSymbolTableRecord")
              (100 . "AcDbUCSTableRecord")
              (2 . "MyUCS")
              (70 . 0)
              (11 0.904145 0.427225 0.0)
              (12 -0.427225 0.904145 0.0)
             )
  )
  (EntMakeX '((0 . "DIMSTYLE")
              (100 . "AcDbSymbolTableRecord")
              (100 . "AcDbDimStyleTableRecord")
              (2 . "My")
              (70 . 0)
             )
  )
  (EntMakeX '((0 . "VPORT")
              (100 . "AcDbSymbolTableRecord")
              (100 . "AcDbViewportTableRecord")
              (2 . "My")
              (70 . 0)
             )
  )


评分

参与人数 4D豆 +25 贡献 +2 收起 理由
xdcad9819 + 5 很给力!经验;技术要点;资料分享奖!
yularna + 5 + 1 很给力!经验;技术要点;资料分享奖!
xshrimp + 5 很给力!经验;技术要点;资料分享奖!
XDSoft + 10 + 1 很给力!经验;技术要点;资料分享奖!

查看全部评分

论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!

已领礼包: 2963个

财富等级: 家财万贯

发表于 2014-4-10 23:35:59 | 显示全部楼层
回复学习一下
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

已领礼包: 3198个

财富等级: 富可敌国

发表于 2014-4-11 00:06:26 | 显示全部楼层
明经不能贴了? 黄大师这是什么意思哟?

点评

打字聊天和面对面聊天的区别在于少了行为语言,所以很容易造成误解,黄工还是看开点。  发表于 2014-4-13 06:18
要遭人炮轰  发表于 2014-4-11 07:55
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

已领礼包: 2476个

财富等级: 金玉满堂

发表于 2014-4-11 05:23:23 | 显示全部楼层
为什么明经不能贴了??
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

已领礼包: 8752个

财富等级: 富甲天下

发表于 2014-4-11 06:29:04 | 显示全部楼层
感谢黄老师分享,回复学习一下!
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

已领礼包: 5592个

财富等级: 富甲天下

发表于 2014-4-11 08:34:26 | 显示全部楼层
回复,支持黄大侠!
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

发表于 2014-4-11 12:09:33 | 显示全部楼层
支持大师,感觉明经这段时间氛围很不好,不知道为什么有人出来挑事,以前都好好的

点评

嗯,也是,关键是没有管理员管理, 版主都只愿做好人,该管的不管  详情 回复 发表于 2014-4-11 13:02
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

已领礼包: 3198个

财富等级: 富可敌国

发表于 2014-4-11 13:02:57 | 显示全部楼层
phoevana 发表于 2014-4-11 12:09
支持大师,感觉明经这段时间氛围很不好,不知道为什么有人出来挑事,以前都好好的

嗯,也是,关键是没有管理员管理, 版主都只愿做好人,该管的不管
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

发表于 2014-4-11 14:24:27 | 显示全部楼层
学习了。。。
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复

使用道具 举报

已领礼包: 394个

财富等级: 日进斗金

发表于 2014-4-11 14:29:24 | 显示全部楼层
看看增加了什么.
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

已领礼包: 1268个

财富等级: 财源广进

发表于 2014-4-11 17:13:28 | 显示全部楼层
这些写就一次,一劳永逸,不过桌子对新加的东西说明越来越少,得自己试验
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

已领礼包: 81个

财富等级: 招财进宝

发表于 2014-4-12 00:04:52 | 显示全部楼层
谢谢!楼主的无私共享
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

已领礼包: 2226个

财富等级: 金玉满堂

发表于 2014-4-12 00:26:13 | 显示全部楼层
这里的不错,归类发贴还是蛮好的。
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

已领礼包: 685个

财富等级: 财运亨通

发表于 2014-4-13 00:01:46 | 显示全部楼层
黄大师可以看看我发的贴子关于-----找到最少entmake关键元素

http://bbs.xdcad.net/thread-673303-1-1.html



点评

不过,你可不可以用你的方法验证下面的代码呢? (EntMake '((0 . "LAYER") (2 . "0") (70 . 0) (62 . 7) (6 . "Continuous"))) (EntMake '((0 . "LTYPE") (2 . "Continuous") (70 . 0) (3 .  详情 回复 发表于 2014-4-20 13:30
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

已领礼包: 590个

财富等级: 财运亨通

发表于 2014-4-13 11:27:04 | 显示全部楼层
这个不错的,挺一下
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|申请友链|Archiver|手机版|小黑屋|辽公网安备|晓东CAD家园 ( 辽ICP备15016793号 )

GMT+8, 2024-6-13 08:25 , Processed in 0.431427 second(s), 57 queries , Gzip On.

Powered by Discuz! X3.5

© 2001-2024 Discuz! Team.

快速回复 返回顶部 返回列表